=== tidev-modules/tiser_dev/module/Makefile ===
# Makefile for the tiser driver (Texas Instruments' BlackLink cable or 
# home-made serial link cable)
# (w) 6/2001, Romain Lievin <rlievin@mail.com>

PREFIX = /usr
INCLUDEDIR = $(PREFIX)/include
KDIR := /usr/src/linux
KVERS := $(shell uname -r)

TARGETS := Rules.make arch tiser.o
.PHONY: tiser.o

default: $(TARGETS)


Rules.make: $(KDIR)/Rules.make
	cp -pf $(KDIR)/Rules.make .

arch: $(KDIR)/arch
	rm -f arch
	ln -s $(KDIR)/arch .

clean:
	rm -f $(TARGETS)
	rm -f *.o core *~ \#*

tiser.o:
	$(MAKE) -f Makefile.tiser KDIR=$(KDIR)

install:
	$(MAKE) -f Makefile.tiser KDIR=$(KDIR) KVERS=$(KVERS) install_mod

load:
	$(MAKE) -f Makefile.tiser KDIR=$(KDIR) load_module

unload:
	rmmod tiser

dist: clean
	mkdir /tmp/tiserlink-$(VERSION) ; cp -r ../* /tmp/tiserlink-$(VERSION)
	cd /tmp ; tar cvf - tiserlink-$(VERSION) | \
	gzip > tiserlink-$(VERSION).tar.gz

# Old Makefile, for backwards compatibility

insmod: tiser.o
	insmod tiser.o

rmmod:
	rmmod tiser

reins: tiser.o
	rmmod tiser
	insmod tiser.o

read:
	cat /dev/tiser1

write:
	cat seq.txt > /dev/tiser1

rw:
	cat seq.txt > /dev/tiser1
	cat /dev/tiser1

nodes:
	rm -f /dev/tiser?
	rm -f /dev/tiS?
	rm -f /dev/ti
	mknod -m 666 /dev/tiser0 c 60 1 #16
	mknod -m 666 /dev/tiser1 c 60 2 #17
	mknod -m 666 /dev/tiser2 c 60 3 #18
	mknod -m 666 /dev/tiser3 c 60 4 #19
	ln -s /dev/tiser0 /dev/tiS0	# compatibility with the 'tidev' module
	ln -s /dev/tiser1 /dev/tiS1
	ln -s /dev/tiser2 /dev/tiS2
	ln -s /dev/tiser3 /dev/tiS3
	ln -s /dev/tiser1 /dev/ti
