=== debian/changelog ===
tidev-modules (1.3) unstable; urgency=medium

  * Modules versions :
    o tipar v1.16
    o tiser v1.16
    o tiusb v1.03
  * Bugfixes regarding blocking/non-blocking operations.

 -- Julien BLACHE <jblache@debian.org>  Mon, 22 Apr 2002 11:33:08 +0200

tidev-modules (1.2) unstable; urgency=medium

  * Fixed typo in postinst.
  * Do not print the warning if upgrading from a post-1.1 version.
  * Added the device list to -$(KVERS) README.Debian.
  * Build the -$(KVERS) package with a default revision of 0.
  * Fixed a typo in -$(KVERS) postrm.
  * Simplified -$(KVERS) maintainer scripts.

 -- Julien BLACHE <jblache@debian.org>  Sun, 31 Mar 2002 15:24:32 +0200

tidev-modules (1.1) unstable; urgency=medium

  * New upstream release, enforcing incompatible changes due to assignment of
    major number 115 to the TI drivers. Please read the README.Debian file
    in the resulting tidev-modules-$(KVERS) package.
  * Modified postinst scripts (both -source and -$(KVERS) packages) to tell the
    user about the changes. Modified -$(KVERS) README.Debian.
  * In -$(KVERS) package postrm, do not call depmod nor update-modules when the
    argument is "upgrade".
  * Modules versions :
    o tipar v1.14
    o tiser v1.14
    o tiusb v1.01

 -- Julien BLACHE <jblache@debian.org>  Sat, 30 Mar 2002 12:50:35 +0100

tidev-modules (1.0) unstable; urgency=low

  * Modules versions :
    o tipar v1.13b
    o tiser v1.13b
    o tiusb v1.00

 -- Julien BLACHE <jblache@debian.org>  Sun, 24 Mar 2002 14:48:14 +0100

tidev-modules (0.6) unstable; urgency=low

  * Fix Makefiles brokeness at installation time, wrt kernel version.
    ($(KVERS) is not propagated)

 -- Julien BLACHE <jblache@debian.org>  Thu, 14 Mar 2002 18:14:41 +0100

tidev-modules (0.5) unstable; urgency=medium

  * Fix Makefiles so that the build does no longer depend on the kernel
    sources being in /usr/src/linux (closes: Bug#138268).

 -- Julien BLACHE <jblache@debian.org>  Thu, 14 Mar 2002 12:03:41 +0100

tidev-modules (0.4) unstable; urgency=low

  * Do not call depmod when building the modules (closes: Bug#135353).
  * Call depmod -a during postinst and postrm, related to #135353.
  * Added missing debian/genchanges.sh script.

 -- Julien BLACHE <jblache@debian.org>  Sat, 23 Feb 2002 23:12:52 +0100

tidev-modules (0.3-1) unstable; urgency=low

  * Initial release (closes: Bug#132299).
  * Another attempt to package these modules. Hopefully the last one.
  * Modules versions :
    o tipar_dev v1.10
    o tiser_dev v1.10
    o tiusb_dev v0.18
  * Renamed the tarball to tidev-modules.tar.gz.

 -- Julien BLACHE <jblache@debian.org>  Mon, 11 Feb 2002 17:13:11 +0100

tidev-modules (0.2-1) unstable; urgency=low

  * New attempt to package these modules.
  * Modules versions :
    o tipar_dev v1.9
    o tiser_dev v1.9
    o tiusb_dev v0.17

 -- Julien BLACHE <jblache@debian.org>  Sun, 11 Nov 2001 14:49:14 +0100

tidev-modules (0.1-1) unstable; urgency=low

  * First test package.

 -- Julien BLACHE <jblache@debian.org>  Mon,  2 Apr 2001 22:32:55 +0200

Local variables:
mode: debian-changelog
End:
