=== debian/control ===
Source: tidev-modules
Section: misc
Priority: optional
Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: tidev-modules-source
Architecture: all
Depends: make, debhelper (>> 3.0.0), fileutils (>= 4.1-9)
Description: Sources for drivers for Texas Instruments calculators link cables
 This package will be useful to you if you own a Texas Instruments calculator
 and want to use one of the following link cables :
  o official "black cable" from Texas Instruments (BlackLink)
  o home-made serial link
  o home-made parallel cable
  o official GraphLink USB from Texas Instruments (SilverLink)
 .
 This package contains the sources of the drivers, which you need to compile
 before using it. Please read /usr/share/doc/tidev-source/README.Debian
 for more informations on how to achieve that.
 .
 You must have the parport driver built either in your kernel or as a
 module to use the tipar_dev driver. You need a kernel with the USB core
 to use the tiusb_dev driver.
 .
 You'll also need a linking software such as TiLP to communicate with
 your calculator.
 .
