=== tidev-modules/debian/control ===
Source: tidev-modules
Section: misc
Priority: optional
Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: tidev-modules-#KVERS#
Architecture: #ARCH#
Description: Drivers for Texas Instruments calculators link cables (Linux kernel v#KVERS#)
 This package will be useful to you if you own a Texas Instruments calculator
 and want to use one of the following link cables :
  o official "black cable" from Texas Instruments
  o home-made serial link
  o home-made parallel cable
  o official GraphLink (tm) USB from Texas Instruments
 .
 You'll also need a linking software such as TiLP to communicate with
 your calculator.
 .
 This package has been built by a Debian GNU/Linux user, using the
 tidev-source package. It will run ONLY on a #KVERS# Linux kernel,
 unless you're using modversions.
