=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	# We have nothing to do.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	# We're not building anything.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package
	cp -f debian/changelog tidev-modules/debian/

	cp -a tidev-modules $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules

	chown -R root.src $(CURDIR)/debian/tidev-modules-source/usr/src/modules/

	# Now there's only one header file for the 3 modules
	cp -f tidev-modules/tipar_dev/module/ticable.h $(CURDIR)/debian/tidev-modules-source/usr/include/tilp/

	cd $(CURDIR)/debian/tidev-modules-source/usr/include/tilp && \
	ln -sf ticable.h tipar.h && \
	ln -sf ticable.h tiser.h && \
	ln -sf ticable.h tiusb.h && \
	cd -

	# COPYING files are not needed, it's GPL
	rm -f $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/tipar_dev/COPYING
	rm -f $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/tiser_dev/COPYING
	rm -f $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/tiusb_dev/COPYING

	# Pack all the stuff into a nice tarball
	cd $(CURDIR)/debian/tidev-modules-source/usr/src && tar -czf tidev-modules.tar.gz modules && rm -rf modules

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
