## tidev-modules 2.0.0

=== tidev-modules/Makefile ===
# Makefile for the tiusb driver (Texas Instruments' BlackLink cable or 
# home-made serial link cable)
# (w) 6/2001, Romain Lievin <rlievin@mail.com>

PREFIX = /usr
INCLUDEDIR = $(PREFIX)/include
KDIR := /usr/src/linux
KVERS := $(shell uname -r)
TIMODULE = 

TARGETS := Rules.make arch $(TIMODULE).o
.PHONY: $(TIMODULE).o

default: $(TARGETS)


Rules.make: $(KDIR)/Rules.make
	cp -pf $(KDIR)/Rules.make $(TIMODULE)/module/

arch: $(KDIR)/arch
	rm -f $(TIMODULE)/module/arch
	ln -s $(KDIR)/arch $(TIMODULE)/module/

clean:
	rm -f $(TIMODULE)/module/Rules.make
	rm -f $(TIMODULE)/module/arch
	rm -f $(TIMODULE)/module/*.o
	rm -f $(TIMODULE)/module/core
	rm -f $(TIMODULE)/module/*~
	rm -f $(TIMODULE)/module/\#*
	rm -f $(TIMODULE)/module/.$(TIMODULE).o.flags

$(TIMODULE).o:
	$(MAKE) -C $(TIMODULE)/module KDIR=$(KDIR)

install:
	$(MAKE) -C $(TIMODULE)/module KDIR=$(KDIR) KVERS=$(KVERS) install_mod
