=== debian/changelog ===
tidev-modules (2.0.0) unstable; urgency=low

  * Repackaged with module-assistant, thanks to Eduard Bloch for his help.
  * Switched to DH_COMPAT 4.
  * Bumped Standards-Version to 3.6.1 (no changes).
  * tiser can now be built for a 2.6 kernel (closes: #237935).

 -- Julien BLACHE <jblache@debian.org>  Sun, 11 Apr 2004 13:30:04 +0200

tidev-modules (1.4.3) unstable; urgency=low

  * tiglusb.c: applied "dma to stack" patch from Oliver Neukum.
  * Bumped Standards-Version to 3.6.1.

 -- Julien BLACHE <jblache@debian.org>  Thu, 22 Jan 2004 12:23:57 +0100

tidev-modules (1.4.2) unstable; urgency=low

  * Fix build for kernels with MODVERSIONS enabled (closes: #174735).
  * Added the "unpack the tarball" step to README.Debian.
  * Depend on coreutils rather than fileutils.

 -- Julien BLACHE <jblache@debian.org>  Fri,  3 Jan 2003 10:19:28 +0100

tidev-modules (1.4.1) unstable; urgency=low

  * Applied patch from Randy Dunlap <randy.dunlap@verizon.net> to
    tiusb, this gives us tiusb v1.05.

 -- Julien BLACHE <jblache@debian.org>  Tue, 26 Nov 2002 22:35:43 +0100

tidev-modules (1.4) unstable; urgency=low

  * Remove compatibility symlinks tiser.h, tipar.h.
  * Rename tiusb.* to tiglusb.* to be in sync with the kernel.
  * All of this is needed by the new libticables.

 -- Julien BLACHE <jblache@debian.org>  Tue, 10 Sep 2002 19:28:46 +0200

tidev-modules (1.3.2) unstable; urgency=low

  * Fixed tiusb.c wrt linux 2.5.31.

 -- Julien BLACHE <jblache@debian.org>  Sun, 11 Aug 2002 14:56:05 +0200

tidev-modules (1.3.1) unstable; urgency=low

  * Updated tiusb to v1.04.
  * Build system revisited, to make next entry possible.
  * You can build only the module(s) you need. See README.Debian.
  * Fixed devices.sh scripts for devfs.

 -- Julien BLACHE <jblache@debian.org>  Thu, 25 Jul 2002 16:36:48 +0200
