## tidev-modules 2.0.3

=== tidev-modules/Makefile ===
--- 
+++ 
@@ -31,8 +31,8 @@
 	rm -f $(TIMODULE)/module/.$(TIMODULE).o.flags
 
 $(TIMODULE).o:
-	$(MAKE) -C $(TIMODULE)/module KDIR=$(KDIR)
+	$(MAKE) -C $(TIMODULE)/module -f Makefile.2.4 KDIR=$(KDIR)
 
 install:
-	$(MAKE) -C $(TIMODULE)/module KDIR=$(KDIR) KVERS=$(KVERS) install_mod
+	$(MAKE) -C $(TIMODULE)/module -f Makefile.2.4 KDIR=$(KDIR) KVERS=$(KVERS) install_mod
