=== tidev-modules/tiser/module/Makefile ===
# based on KBUILD documentation (http://lkml.org/lkml/2004/4/20/129)

TIMODULE = tiser
obj-m := $(TIMODULE).o
