=== debian/changelog ===
tidev-modules (2.0.3) unstable; urgency=low

  * Modules updated:
    + tipar v1.19
    + tiusb v1.07

 -- Julien BLACHE <jblache@debian.org>  Sun, 31 Oct 2004 11:31:09 +0100

tidev-modules (2.0.2) unstable; urgency=low

  * Applied patch from Ken Bloom to fix installation of modules when the
    kernel was built with --append-to-version (closes: #266939).

 -- Julien BLACHE <jblache@debian.org>  Fri, 20 Aug 2004 18:39:25 +0200

tidev-modules (2.0.1) unstable; urgency=low

  * tiser updated to version 1.20 (closes: #254821).
  * Fixed MODVERSION for kernel 2.6 in tiser (patch from Ken Bloom) (closes: #250815).
  * New build process for 2.6 kernels, should produce working modules.

 -- Julien BLACHE <jblache@debian.org>  Sat, 31 Jul 2004 18:34:16 +0200
