=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Julien BLACHE <jblache@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Build-Depends-Indep: debhelper (>= 4.0.0)
+Standards-Version: 3.6.1
 
 Package: tidev-modules-source
 Architecture: all
-Depends: make, debhelper (>> 3.0.0), fileutils (>= 4.1-9)
+Depends: module-assistant, debhelper (>= 4.0.0), coreutils (>= 4.5.1-1)
 Description: Sources for drivers for Texas Instruments calculators link cables
  This package will be useful to you if you own a Texas Instruments calculator
  and want to use one of the following link cables :
@@ -21,9 +21,8 @@
  for more informations on how to achieve that.
  .
  You must have the parport driver built either in your kernel or as a
- module to use the tipar_dev driver. You need a kernel with the USB core
- to use the tiusb_dev driver.
+ module to use the tipar driver. You need a kernel with the USB core
+ to use the tiglusb driver.
  .
  You'll also need a linking software such as TiLP to communicate with
  your calculator.
- .
