=== debian/rules ===
--- 
+++ 
@@ -54,9 +54,9 @@
 	cp -f debian/copyright $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/debian
 	cp -f debian/rules $(CURDIR)/debian/tidev-modules-source/usr/src/modules/tidev-modules/debian
 
-	chown -R root.src $(CURDIR)/debian/tidev-modules-source/usr/src/modules/
+	chown -R root:src $(CURDIR)/debian/tidev-modules-source/usr/src/modules/
 
-	cp -f tidev-modules/tipar/module/ticable.h $(CURDIR)/debian/tidev-modules-source/usr/include/tilp/
+	cp -f tidev-modules/ticable.h $(CURDIR)/debian/tidev-modules-source/usr/include/tilp/
 	cp -f tidev-modules/tiglusb/module/tiglusb.h $(CURDIR)/debian/tidev-modules-source/usr/include/tilp/
 
 	# COPYING files are not needed, it's GPL
@@ -116,17 +116,19 @@
 
 TIMODULES_DOC = $(CURDIR)/debian/$(PKGNAME)/usr/share/doc/$(PKGNAME)
 
-KMAJ=$(shell echo $(KVERS) | sed -e 's/\(...\).*/\1/')
+KMAJ=$(shell echo $(KVERS) | cut -b1-3)
 
 # Only tiser can be built for a 2.6 kernel
 ifeq ($(KMAJ), 2.6)
 TIMODULES = tiser
+MVER=.2.6
 else
 TIMODULES ?= tipar tiser tiglusb
-endif
-
-ifeq ($(wildcard $(KSRC)/Rules.make),)
-AUTONOM=.autonom
+  ifeq ($(wildcard $(KSRC)/Rules.make),)
+  MVER=.autonom
+  else
+  MVER=""
+  endif
 endif
 
 binary-modules: binary_modules
@@ -136,8 +138,8 @@
 	dh_installdirs -a usr/share/doc/$(PKGNAME)
 
 	for module in $(TIMODULES); do \
-		$(MAKE) -f Makefile$(AUTONOM) TIMODULE=$$module KDIR=$(KSRC) KMAJ=$(KMAJ) ; \
-		$(MAKE) -f Makefile$(AUTONOM) TIMODULE=$$module KDIR=$(KSRC) KMAJ=$(KMAJ) KVERS=$(KVERS) DESTDIR=$(CURDIR)/debian/$(PKGNAME) install ; \
+		$(MAKE) -f Makefile$(MVER) TIMODULE=$$module KDIR=$(KSRC) KMAJ=$(KMAJ) ; \
+		$(MAKE) -f Makefile$(MVER) TIMODULE=$$module KDIR=$(KSRC) KMAJ=$(KMAJ) KVERS=$(KVERS) KERNELRELEASE=$(KVERS) DESTDIR=$(CURDIR)/debian/$(PKGNAME) install ; \
 		dh_installdirs -a usr/share/doc/$(PKGNAME)/$$module ; \
 		cp -f $$module/README $(TIMODULES_DOC)/$$module ; \
 		cp -f $$module/CHANGELOG $(TIMODULES_DOC)/$$module ; \
