## tidev-modules 2.0.4

=== debian/changelog ===
tidev-modules (2.0.4) unstable; urgency=low

  * Orphaning this package.
  * debian/control:
    + Maintainer: set to QA.
    + Bumped Standards-Version to 3.6.2 (no changes).
  * debian/tidev-modules-source.postinst:
    + Fix deprecated chown usage.

 -- Julien BLACHE <jblache@debian.org>  Wed, 12 Apr 2006 16:49:20 +0200
