=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tidev-modules
 Section: misc
 Priority: optional
-Maintainer: Julien BLACHE <jblache@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep: debhelper (>= 4.0.0)
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: tidev-modules-source
 Architecture: all
